Package org.apache.avro.mapred

# Class AvroKey<T>

java.lang.Object
org.apache.avro.mapred.AvroWrapper<T>
org.apache.avro.mapred.AvroKey<T>

public class AvroKey<T> extends AvroWrapper<T>
The wrapper of keys for jobs configured with `AvroJob` .

## Constructor Summary

Constructors
Constructor
Description
`AvroKey()`
Wrap null.
`AvroKey(T datum)`
Wrap a key.

## Method Summary

### Methods inherited from class org.apache.avro.mapred.AvroWrapper

`datum, datum, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AvroKey

public AvroKey()
Wrap null. Construct `AvroKey` wrapping no key.

### AvroKey

public AvroKey(T datum)
Wrap a key.